%define		package	Config
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Config Component
Name:		php-symfony2-Config
Version:	2.7.8
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	0df6cfd227864356287d0dcaecd0bf61
URL:		http://symfony.com/doc/2.7/components/config/index.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(json)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php(xml)
Requires:	php-dirs >= 1.6
Requires:	php-symfony2-Filesystem >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Config Component provides several classes to help you find, load,
combine, autofill and validate configuration values of any kind,
whatever their source may be (Yaml, XML, INI files, or for instance a
database).

%prep
%setup -q -n config-%{version}

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Config
%{php_data_dir}/Symfony/Component/Config/*.php
%{php_data_dir}/Symfony/Component/Config/Definition
%{php_data_dir}/Symfony/Component/Config/Exception
%{php_data_dir}/Symfony/Component/Config/Loader
%{php_data_dir}/Symfony/Component/Config/Resource
%{php_data_dir}/Symfony/Component/Config/Util
%changelog
* Tue Jan 05 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Config.git;a=log;h=master

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> e5ee88d
- up to 2.7.8

* Mon Jan 04 2016 Elan Ruusamäe <glen@delfi.ee> e80aba8
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 776f0a0
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> b5ee4dd
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 59b6ca9
- up to 2.7.7; use autoload.php for autoload name

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 5650f11
- up to 2.7.5

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 1d4b2c3
- update php_min_version to 5.3.9

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> de40aaf
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 3de26f6
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> beb48d9
- cleanups, unify

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> ac6145b
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> bd4bab3
- up to 2.4.4

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 1a9dfa6
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> df073bf
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 2b0fd02
- revised deps

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> f4be7b2
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 93391cb
- up to 2.1.6

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 2dd279e
- more specific url

* Wed Dec 19 2012 Elan Ruusamäe <glen@delfi.ee> 15a6915
- initial add. version 2.1.4

